Note: Some input files use or override a deprecated API. [Fermé]

Signaler
Messages postés
337
Date d'inscription
mercredi 7 août 2013
Statut
Membre
Dernière intervention
8 avril 2016
-
Messages postés
337
Date d'inscription
mercredi 7 août 2013
Statut
Membre
Dernière intervention
8 avril 2016
-
Bonjour,
je suis en train de tester un code et j'ai trouvé ces erreurs la:

Note: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
quelqu'un peut m'aider? merci d'avance :)

1 réponse

Messages postés
16371
Date d'inscription
samedi 31 mai 2008
Statut
Modérateur
Dernière intervention
23 juillet 2021
2 856
Bonjour,

Ce ne sont pas des erreurs, mais des avertissement, si tu veux les afficher tu peux utiliser l'option -Xlint dans ta commande javac.

javac -Xlint ...
Messages postés
337
Date d'inscription
mercredi 7 août 2013
Statut
Membre
Dernière intervention
8 avril 2016
6
bonjour , merci pour votre réponse , invite de commande?
Messages postés
16371
Date d'inscription
samedi 31 mai 2008
Statut
Modérateur
Dernière intervention
23 juillet 2021
2 856
Oui cette option se rajoute à la compilation d'une ligne de commande, si tu utilises un éditeur de code ces avertissements doivent déjà être affichés à l'écran...
Messages postés
337
Date d'inscription
mercredi 7 août 2013
Statut
Membre
Dernière intervention
8 avril 2016
6
j'utilise netbeans , alors j'ouvre l'invite de commande "cmd" puis j'ecrit quoi?
Messages postés
16371
Date d'inscription
samedi 31 mai 2008
Statut
Modérateur
Dernière intervention
23 juillet 2021
2 856
Si tu utilises Netbeans tu peux suivre les instructions décrites dans cette discussion : https://stackoverflow.com/questions/7663221/where-can-i-find-the-xlint-option-in-netbeans
Messages postés
337
Date d'inscription
mercredi 7 août 2013
Statut
Membre
Dernière intervention
8 avril 2016
6
oui ,j'utilise netbeans je vais suivre ce tuto merci :)